about summary refs log tree commit diff stats
path: root/crates/yt_dlp
diff options
context:
space:
mode:
Diffstat (limited to 'crates/yt_dlp')
-rwxr-xr-xcrates/yt_dlp/update.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/crates/yt_dlp/update.sh b/crates/yt_dlp/update.sh
index eb9c3c1..c1a0215 100755
--- a/crates/yt_dlp/update.sh
+++ b/crates/yt_dlp/update.sh
@@ -10,5 +10,6 @@
 # You should have received a copy of the License along with this program.
 # If not, see <https://www.gnu.org/licenses/gpl-3.0.txt>.
 
-[ "$1" = "upgrade" ] && cargo upgrade
+cd "$(dirname "$0")" || exit 1
+[ "$1" = "upgrade" ] && cargo upgrade --incompatible
 cargo update